#
# Conditional build:
%bcond_without	mateconf	# MATE <= 1.4 (MateConf) support module
%bcond_without	xfce		# Xfce support module
%bcond_without	static_libs	# static library
#
Summary:	Delivery framework for general Input Method configuration
Summary(pl.UTF-8):	Szkielet do ogólnej konfiguracji method wprowadzania znaków
Name:		imsettings
Version:	1.7.0
Release:	1
License:	LGPL v2+
Group:		Applications/System
Source0:	https://bitbucket.org/tagoh/imsettings/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	decc1e438da81bcf84fa4156529475e4
Patch0:		%{name}-constraint-of-language.patch
Patch1:		%{name}-no-bash.patch
URL:		https://tagoh.bitbucket.org/imsettings/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	dbus-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
# for fallback support in GTK+
BuildRequires:	gtk+2-devel >= 2:2.24.11
BuildRequires:	gtk+3-devel >= 3.3.3
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libgxim-devel >= 0.5.0
BuildRequires:	libnotify-devel >= 0.7.0
%{?with_mateconf:BuildRequires:	mate-conf-devel}
BuildRequires:	pkgconfig
%{?with_xfce:BuildRequires:	xfconf-devel}
BuildRequires:	xorg-lib-libX11-devel
Requires:	%{name}-desktop-module = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libnotify >= 0.7.0
Requires:	xinitrc-ng
Requires:	xorg-app-xinit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains the core DBus services and some utilities.

%description -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera główne usługi DBus oraz trochę narzędzi.

%package libs
Summary:	IMSettings library
Summary(pl.UTF-8):	Biblioteka IMSettings
Group:		Libraries
Requires:	glib2 >= 1:2.32.0

%description libs
IMSettings library.

%description libs -l pl.UTF-8
Biblioteka imsettings.

%package devel
Summary:	Header files for IMSettings library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki IMSettings
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0

%description devel
Header files for IMSettings library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki IMSettings.

%package static
Summary:	Static IMSettings library
Summary(pl.UTF-8):	Statyczna biblioteka IMSettings
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static IMSettings library.

%description static -l pl.UTF-8
Statyczna biblioteka IMSettings.

%package cinnamon
Summary:	Cinnamon (via GSettings) support on imsettings
Summary(pl.UTF-8):	Obsługa Cinnamon (poprzez GSettings) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description cinnamon
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on Cinnamon (using
GSettings).

%description cinnamon -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji Cinnamon
(korzystających z GSettings).

%package gnome2
Summary:	GNOME 2 (GConf) support on imsettings
Summary(pl.UTF-8):	Obsługa GNOME 2 (GConfa) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description gnome2
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on GNOME 2 (using
GConf).

%description gnome2 -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji GNOME 2
(korzystających z GConfa).

%package gnome3
Summary:	GNOME 3 (GSettings) support on imsettings
Summary(pl.UTF-8):	Obsługa GNOME 3 (GSettings) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description gnome3
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on GNOME 3 (using
GSettings).

%description gnome3 -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji GNOME 3
(korzystających z GSettings).

%package lxde
Summary:	LXDE support on imsettings
Summary(pl.UTF-8):	Obsługa LXDE dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
#Requires:	lxde-settings-daemon
Requires:	lxsession
Provides:	%{name}-desktop-module = %{version}-%{release}

%description lxde
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on LXDE.

%description lxde -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji LXDE.

%package mate-conf
Summary:	MATE <= 1.4 (MateConf) support on imsettings
Summary(pl.UTF-8):	Obsługa MATE <= 1.4 (MateConfa) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description mate-conf
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on MATE <= 1.4
(using MateConf).

%description mate-conf -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji MATE <= 1.4
(korzystających z MateConfa).

%package mate
Summary:	MATE 1.5+ (mate-settings) support on imsettings
Summary(pl.UTF-8):	Obsługa MATE 1.5+ (mate-settings) dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description mate
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on MATE 1.5+ (using
mate-settings).

%description mate -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji MATE 1.5+
(korzystających z mate-settings).

%package qt
Summary:	Qt support on imsettings
Summary(pl.UTF-8):	Obsługa Qt dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Provides:	%{name}-desktop-module = %{version}-%{release}

%description qt
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on Qt applications.

%description qt -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji Qt.

%package xfce
Summary:	Xfce support on imsettings
Summary(pl.UTF-8):	Obsługa Xfce dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Requires:	xfce4-settings >= 4.6.0
Provides:	%{name}-desktop-module = %{version}-%{release}

%description xfce
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working on Xfce.

%description xfce -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla aplikacji Xfce.

%package xim
Summary:	XIM support on imsettings
Summary(pl.UTF-8):	Obsługa XIM dla imsettings
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	im-chooser
Requires:	libgxim >= 0.5.0

%description xim
IMSettings is a framework that delivers Input Method settings and
applies the changes so they take effect immediately without any need
to restart applications or the desktop.

This package contains a module to get this working with XIM.

%description xim -l pl.UTF-8
IMSettings to szkielet udostępniający ustawienia metod wprowadzania
znaków (Input Method) i wykonujący zmiany tak, że wchodzą w życie
natychmiast bez potrzeby restartu aplikacji ani środowiska
graficznego.

Ten pakiet zawiera moduł umożliwiający to dla usługi XIM.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-xinputsh=50-xinput.sh \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/imsettings/*.la
%if %{with static_libs}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/imsettings/*.a
%endif

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{eu_ES,eu}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README

%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc.d/50-xinput.sh
%{_sysconfdir}/X11/xinit/xinput.d/none.conf
%{_sysconfdir}/X11/xinit/xinput.d/xcompose.conf
%{_sysconfdir}/X11/xinit/xinput.d/xim.conf
%{_sysconfdir}/xdg/autostart/imsettings-start.desktop

%attr(755,root,root) %{_bindir}/imsettings-reload
%attr(755,root,root) %{_bindir}/imsettings-list
%attr(755,root,root) %{_bindir}/imsettings-info
%attr(755,root,root) %{_bindir}/imsettings-switch

%dir %{_libdir}/%{name}
%{_libdir}/imsettings-functions
%attr(755,root,root) %{_libdir}/imsettings-check
%attr(755,root,root) %{_libdir}/imsettings-daemon
%attr(755,root,root) %{_libdir}/xinputinfo.sh
%attr(755,root,root) %{_libdir}/imsettings-target-checker.sh
%{_datadir}/dbus-1/services/imsettings-daemon.service
%{_pixmapsdir}/imsettings-unknown.png

%{_mandir}/man1/imsettings-*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libimsettings.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimsettings.so.5
%{_libdir}/girepository-1.0/IMSettings-1.7.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libimsettings.so
%{_pkgconfigdir}/imsettings.pc
%{_includedir}/imsettings
%{_datadir}/gir-1.0/IMSettings-1.7.gir
%{_gtkdocdir}/imsettings

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libimsettings.a
%endif

%files cinnamon
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-cinnamon-gsettings.so

%files gnome2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-gconf.so

%files gnome3
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-gsettings.so

%files lxde
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-lxde.so

%if %{with mateconf}
%files mate-conf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-mateconf.so
%endif

%files mate
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-mate-gsettings.so

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-qt.so

%if %{with xfce}
%files xfce
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-xfce.so
%endif

%files xim
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/imsettings-xim
%attr(755,root,root) %{_libdir}/%{name}/libimsettings-xim.so
%changelog
* Sun Feb 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/imsettings.git;a=log;h=master

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 9c9b1f7
- updated to 1.7.0
- updated no-bash patch

* Sat Jul 11 2015 Jan Rękorajski <baggins@pld-linux.org> 697931c
- fix xinitrc script perms
- rel 3

* Tue Mar 31 2015 Elan Ruusamäe <glen@delfi.ee> d9ef268
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 3f7841c
- updated to 1.6.8
- removed obsolete format-security patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 08e8d43
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 5cf115e
- libffi rebuild
- release 3 (by relup.sh)

* Fri Nov 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 81db365
- rel 2; move /etc/X11/xinit/xinput.d/ to filesystem.spec

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 6134044
- updated to 1.6.7
- updated format-security patch
- package cinnamon module
- separated old mate (mate-conf based) module to -mate-conf

* Tue Oct 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 458169a
- updated to 1.6.4

* Fri Jul 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 4dfe74e
- cleanup, updated runtime libgxim dependency

* Mon Jul 15 2013 Jan Rękorajski <baggins@pld-linux.org> 8a9ba2b
- removed unneeded patch

* Mon Jul 15 2013 Jan Rękorajski <baggins@pld-linux.org> fdc97b7
- up to 1.6.3

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 334a45f
- updated to 1.5.0
- added gxim patch (update for libgxim 0.4.0 API)

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> d168b97
- missed hunk in patch
- rel 3

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> ceaa4e5
- fix -Wformat-security errors
- rel 2

* Thu Nov 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 700e6cb
- removed obsolete TODO

* Thu Nov 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 90d7596
- added mate module

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 11261e7
- updated to 1.4.0

* Thu Aug 30 2012 Jakub Bogusz <qboosh@pld-linux.org> f5fc1b1
- updated to 1.3.1

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 4c33155
- updated to 1.3.0
- updated no-bash patch
- removed obsolete glib patch

